For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve all speech credentials for an account
      • POSTadd a speech credential
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
      • POSTget TTS from provider
      • GETlist google custom voices
      • POSTcreate a Google custom voice
      • GETretrieve google custom voice
      • PUTupdate google custom voice
      • DELdelete a google custom voice
      • POSTcreate a speech credential for a service provider
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSpeech

get a specific speech credential

GET
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/SpeechCredentials/:SpeechCredentialSid
GET
/v1/ServiceProviders/:ServiceProviderSid/SpeechCredentials/:SpeechCredentialSid
$curl https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid \
> -H "Authorization: Bearer <token>"
1{
2 "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "account_sid": "1c2b3a4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
4 "vendor": "google",
5 "service_key": "{\n \"type\": \"service_account\",\n \"project_id\": \"jambonz-voice\",\n \"private_key_id\": \"abcdef1234567890abcdef1234567890abcdef12\",\n \"private_key\": \"-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASC...\\n-----END PRIVATE KEY-----\\n\",\n \"client_email\": \"jambonz@jambonz-voice.iam.gserviceaccount.com\",\n \"client_id\": \"123456789012345678901\",\n \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",\n \"token_uri\": \"https://oauth2.googleapis.com/token\",\n \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\",\n \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/jambonz%40jambonz-voice.iam.gserviceaccount.com\"\n}",
6 "access_key_id": "",
7 "secret_access_key": "",
8 "aws_region": "",
9 "last_used": "2024-01-15T09:30:00Z",
10 "last_tested": "2024-01-15T09:30:00Z",
11 "use_for_tts": true,
12 "use_for_stt": true,
13 "tts_tested_ok": true,
14 "stt_tested_ok": true,
15 "riva_server_uri": ""
16}
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

update a speech credential

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired
SpeechCredentialSidstringRequired

Response

retrieve speech credentials for a specified account
speech_credential_sidstringformat: "uuid"
account_sidstringformat: "uuid"
vendorenum
Allowed values:
service_keystring
access_key_idstring
secret_access_keystring
aws_regionstring
last_usedstringformat: "date-time"
last_testedstringformat: "date-time"
use_for_ttsboolean
use_for_sttboolean
tts_tested_okboolean
stt_tested_okboolean
riva_server_uristring

Errors

404
Not Found Error